Mouse cursor size is large and inconsistent on 4K displays in XFCE

Bug #1770948 reported by spike speigel on 2018-05-13
28
This bug affects 7 people
Affects Status Importance Assigned to Milestone
xfce4-settings
Confirmed
Medium
xfce4-settings (Ubuntu)
Undecided
Unassigned

Bug Description

I just installed a fresh copy of Xubuntu 18.04 on a new system with a 4k screen, and I am having the same issue itermittently.

When I boot and login the mouse is huge when on the desktop, but changes sizes when hovering over certain applications.

As was reported upstream, if I change the cursor size setting, say from 24 to 25 to 24 again or simply change the cursor theme from "Default" to "DMZ (Black)" and then back to "Default", the problem disappears. The size then remains normal and constant no matter what application I hover over.

It does NOT appear to be a driver issue as I have experienced a large mouse cursor with both Nvidia and Mesa drivers in separate instances on the same system.

I found this older post from someone who was using Xubuntu 14.04 a few years ago, and I believe it to be the same bug. The images and behavior accurately describe what we are seeing in 18.04.

https://superuser.com/questions/768830/mouse-cursor-scaling-issues-in-xubuntu-14-04-with-xfce-4-10

I'm also wondering if the issue is somehow related to this bug:

https://bugzilla.xfce.org/show_bug.cgi?id=7415

In that instance I see no mention of size changes, but they similarly have changes in the applied cursor theme based on whether the mouse is hovering over the desktop or other applications.

The mouse cursor size issue also appears to affect ElementaryOS:
https://bugs.launchpad.net/elementaryos/+bug/1304067

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: xfce4-settings 4.12.3-0ubuntu1
ProcVersionSignature: Ubuntu 4.15.0-21.22-generic 4.15.17
Uname: Linux 4.15.0-21-generic x86_64
ApportVersion: 2.20.9-0ubuntu7
Architecture: amd64
CurrentDesktop: XFCE
Date: Sun May 13 07:13:57 2018
ExecutablePath: /usr/bin/xfce4-settings-manager
InstallationDate: Installed on 2018-05-10 (2 days ago)
InstallationMedia: Xubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
ProcEnviron:
 LANGUAGE=en_US
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: xfce4-settings
UpgradeStatus: No upgrade log present (probably fresh install)

When I startup Xubuntu 18.04 beta on my 4K TV (connected by HDMI) the cursor is much too big. The system will boot into Full HD resolution and not 4K. If I then go to the Xfce Mouse settings under the tab "mouse themes" to change the cursor size I only need to change the size of the cursor 1 pixel up and down and everything is fine again and the cursor has again the correct size. In my case I change the cursor size from 24 to 25 and then back to 24.

I just installed a fresh copy of Xubuntu 18.04 on a new system with a 4k screen, and I am having the same issue.

When I boot and login the mouse is huge when on the desktop, but changes sizes when hovering over certain applications. As was mentioned by Manuel, if I change the cursor size setting or simply change the cursor theme from "Default" to "DMZ (Black)" and then back to "Default", the problem disappears.
 The size is normal and constant no matter what application I hover over.

I found this older post from someone who was using Xubuntu 14.04 a few years ago, and I believe it to be the same bug. The images and behavior accurately describe what we are seeing in 18.04.

https://superuser.com/questions/768830/mouse-cursor-scaling-issues-in-xubuntu-14-04-with-xfce-4-10

I'm also wondering if the issue is somehow related to this bug:

https://bugzilla.xfce.org/show_bug.cgi?id=7415

In that instance I see no mention of size changes, but they similarly have changes in the applied cursor theme based on whether the mouse is hovering over the desktop or other applications.

spike speigel (frail-knight) wrote :
tags: added: 4k display xfce
tags: added: cursor mouse
Changed in xfce4-settings:
importance: Unknown → Medium
status: Unknown → Confirmed
spike speigel (frail-knight) wrote :

I believe https://bugs.launchpad.net/ubuntu/+source/xfce4-settings/+bug/1552133 is an older duplicate of this issue.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xfce4-settings (Ubuntu):
status: New → Confirmed

Elementary OS related report: bug 1304067.

spike speigel (frail-knight) wrote :

@lastonestanding Thank you, glad to see I am not the only one and Ubuntu not the only distro.

description: updated
description: updated
Ari Nordström (ari-nordstrom) wrote :

I have a Ubuntu 18.04 install on a Dell XPS 9560, 4k screen, with Gnome and Cinnamon desktops, and also have this problem. While using double scaling in Cinnamon, the mouse pointer size remains constant and the desktop usable, but with normal scaling, everything but the mouse pointer scales down to half size.

No workaround I've seen fixes this. It's maddening because with an external 4k monitor, I still have to use double scaling or the mouse pointer will be huge in comparison to the rest of the GUI.

I have been having this problem for like a year now. I have a 4K screen on my laptop but resolution is usually 1920x1080 or 1600x900. Anytime I'm not using the 4K resolution, on boot up my cursor size is huge. To fix it all I have to do is what's said above, change cursor size up 1 and back down 1 (what it was set at) and it'll reset to what it's supposed to be. It's getting annoying for like a whole year everytime I boot the computer up I have to go into mouse settings and fix it.

The cursor size is internally set to 0 (default size). Changing the size via the mouse settings will set it explicitly to the chosen value.

Related GTK3 issue: https://gitlab.gnome.org/GNOME/gtk/issues/1371

R (jkjl) wrote :

I "fixed" this on Cinnamon (Ubuntu 18) by switching away from unity-greeter:

$ cat /etc/X11/default-display-manager
/usr/sbin/lightdm

$ sudo apt-get install lightdm-gtk-greeter

then create /etc/lightdm/lightdm.conf with:

[SeatDefaults]
greeter-session=lightdm-gtk-greeter

This also somehow avoided the buggy 4096x2160 resolution that my TV crops.
   4096x2160 24.00 23.98
   3840x2160 30.00 25.00 24.00 29.97 23.98
   1920x1080 120.00 100.00 119.88 60.00* 60.00 50.00 59.94 30.00 25.00 24.00 29.97 23.98

unity-greeter picks 4096x2160@24 and triggers the large cursor issue (desktop, window decorations, taskbar etc)
lightdm-gtk-greeter picks 3840x2160@30 and the cursor is working correctly everywhere I checked

tags: added: cosmic
spike speigel (frail-knight) wrote :

I recently performed a clean install of Xubuntu 18.10, and I'm experiencing this more recently. Also, it appears I'm already using lightdm-gtk-greeter and do not have unity-greeter installed.

I'm glad you identified the issue you have with unity-greeter. I think there might be multiple issues with multiple greeters here.

I tried checking to see what was in my lightdm.conf to find it does not exist with the default install on my system.

$ less /etc/lightdm/lightdm.conf
/etc/lightdm/lightdm.conf: No such file or directory

What I do have:

$ ls -al /etc/lightdm/
total 28
drwxr-xr-x 3 root root 4096 Oct 17 17:38 .
drwxr-xr-x 139 root root 12288 Mar 16 15:19 ..
drwxr-xr-x 2 root root 4096 Aug 29 2018 lightdm.conf.d
-rw-r--r-- 1 root root 2970 Sep 17 20:17 lightdm-gtk-greeter.conf
-rw-r--r-- 1 root root 452 Aug 29 2018 users.conf

$ ls -al /etc/lightdm/lightdm.conf.d

total 8
drwxr-xr-x 2 root root 4096 Aug 29 2018 .
drwxr-xr-x 3 root root 4096 Oct 17 17:38 ..

$ less lightdm-gtk-greeter.conf

[greeter]
#background=
#user-background=
#theme-name=
#icon-theme-name=
#font-name=
#xft-antialias=
#xft-dpi=
#xft-hintstyle=
#xft-rgba=
#indicators=
#clock-format=
#keyboard=
#reader=
#position=
#screensaver-timeout=

$ less users.conf

[UserList]
minimum-uid=500
hidden-users=nobody nobody4 noaccess
hidden-shells=/bin/false /usr/sbin/nologin

Should the default Xubuntu/Ubuntu lightdm-gtk-greeter install be creating and populating /etc/lightdm/lightdm.conf by default?

spike speigel (frail-knight) wrote :

It seems xubuntu-default-settings installs the following files/directories. I do not see a lightdm.conf or any resolution specs listed in any of the files:

/usr/share/lightdm
/usr/share/lightdm/lightdm-gtk-greeter.conf.d
/usr/share/lightdm/lightdm-gtk-greeter.conf.d/30_xubuntu.conf
/usr/share/lightdm/lightdm.conf.d

/usr/share/lightdm$ ls -al lightdm.conf.d/
total 44
drwxr-xr-x 2 root root 4096 Mar 6 20:35 .
drwxr-xr-x 5 root root 4096 Oct 17 17:34 ..
-rw-r--r-- 1 root root 152 Aug 29 2018 50-disable-guest.conf
-rw-r--r-- 1 root root 76 Aug 29 2018 50-disable-log-backup.conf
-rw-r--r-- 1 root root 66 Aug 29 2018 50-greeter-wrapper.conf
-rw-r--r-- 1 root root 62 Aug 29 2018 50-guest-wrapper.conf
-rw-r--r-- 1 root root 45 Aug 29 2018 50-xserver-command.conf
-rw-r--r-- 1 root root 47 Jul 28 2018 50-xubuntu-numlock.conf
-rw-r--r-- 1 root root 45 May 3 2017 60-lightdm-gtk-greeter.conf
-rw-r--r-- 1 root root 30 Jul 28 2018 60-xubuntu.conf
-rw-r--r-- 1 root root 164 Aug 27 2018 90-nvidia.conf

/usr/share/lightdm$ ls -al lightdm-gtk-greeter.conf.d/
total 16
drwxr-xr-x 2 root root 4096 Oct 17 17:35 .
drwxr-xr-x 5 root root 4096 Oct 17 17:34 ..
-rw-r--r-- 1 root root 319 May 3 2017 01_ubuntu.conf
-rw-r--r-- 1 root root 267 Jul 28 2018 30_xubuntu.conf

$ less 60-lightdm-gtk-greeter.conf

[Seat:*]
greeter-session=lightdm-gtk-greeter

$ less 60-xubuntu.conf

[Seat:*]
user-session=xubuntu

$ less 90-nvidia.conf

[SeatDefaults]
# Force using traditional X
type=xlocal
# Scripts to handle PRIME
display-setup-script=/sbin/prime-offload
display-stopped-script=/sbin/prime-switch

$ less 01_ubuntu.conf

# Ubuntu specific defaults
#

[greeter]
background=/usr/share/backgrounds/warty-final-ubuntu.png
theme-name=Ambiance
icon-theme-name=LoginIcons
font-name=Ubuntu 11
xft-antialias=true
xft-dpi=96
xft-hintstyle=slight
xft-rgba=rgb
indicators=~host;~spacer;~session;~language;~a11y;~clock;~power;
clock-format=%d %b, %H:%M

$ less 30_xubuntu.conf

# Xubuntu specific defaults
# Settings stack on top of 01_ubuntu.conf
#

[greeter]
background=/usr/share/plymouth/themes/xubuntu-logo/wallpaper.png
theme-name=Greybird
icon-theme-name=elementary-xfce-dark
font-name=Noto Sans 9
keyboard=onboard
screensaver-timeout=60

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.